#-*- coding: utf-8 -*-

#Copyright 2008 Calculate Pack, http://www.calculate-linux.ru
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.

#Допустимые ключи значений
#   mode -     режим переменной r-не переназначается из командной строки,
#              w-переназначается из командной строки
#   type     - тип переменной состоит из двух элементов(что это и для чего
#              это)
#   value    - дефоултное значение переменной
#   select   - список допустимых значений переменной
#   official - флаг того, что данная переменная служебная и не отображается
#              при печати списка значений переменных
#   printval - печатное значение переменной(значение выводимое при печати
#              списка значений переменных)

class Data:
    #базовый суффикс LDAP
    soft_ldap_base=        {'mode':"r",
                            'type':('param','soft')
                            }
    #bind суффикс LDAP
    soft_ldap_bind=        {'mode':"r",
                            'type':('param','soft'),
                            }
    #пользователь только для чтения
    soft_ldap_bindname=    {'mode':"r",
                            'type':('param','soft'),
                            }
    #пароль для пользователя для чтения
    soft_ldap_bindpw=      {'mode':"r",
                            'type':('param','soft'),
                            }

    #имя для базового суффикса LDAP
    soft_ldap_root=        {'mode':"r",
                            'type':('param','soft')}
    #запись для пользователя root
    soft_ldap_admin=        {'mode':"r",
                            'type':('param','soft')}
    #имя пользователя root для LDAP
    soft_ldap_adminname=    {'mode':"r",
                            'type':('param','soft'),
                            }

    #почта пользователя
    soft_ldap_user_mail=      {'mode':"w",
                            'type':('param','soft'),
                            }

    #-----------------------------------------------------
    #Все сервисы Unix
    #-----------------------------------------------------
    #Имя для всех сервисов
    soft_ldap_sevices_dn_name = {'mode':"r",
                            'type':('param','soft'),
			    'value' : 'Services'
                            }
    #DN всех сервисов
    soft_ldap_sevices_dn=  {'mode':"r",
                            'type':('param','soft'),
                            }
    #-----------------------------------------------------
    #Сервис Ldap
    #-----------------------------------------------------
    #Настроен или нет сервис LDAP
    soft_ldap_setup=        {'mode':"w",
                            'type':('param','soft'),
                            'value':'no'
                            }
    #-----------------------------------------------------
    #Сервис Unix
    #-----------------------------------------------------
    #DN админстратора сервиса Unix (он, же DN сервиса)
    soft_ldap_admin_unix=        {'mode':"r",
                            'type':('param','soft'),
                            }
    #имя админстратора сервиса Unix
    soft_ldap_admin_unix_name=    {'mode':"r",
                            'type':('param','soft'),
                            }
    #Настроен или нет сервис Unix
    soft_unix_setup=        {'mode':"w",
                            'type':('param','soft'),
                            'value':'no'
                            }
    #-----------------------------------------------------
    #Сервис Samba
    #-----------------------------------------------------
    # Настроен или нет сервис Samba
    soft_samba_setup=        {'mode':"w",
                            'type':('param','soft'),
                            'value':'no'
                            }
    #-----------------------------------------------------
    #Сервис Mail
    #-----------------------------------------------------
    #Настроен или нет сервис Mail
    soft_mail_setup=        {'mode':"w",
                            'type':('param','soft'),
                            'value':'no'
                            }
    #-----------------------------------------------------
    #Сервис Jabber
    #-----------------------------------------------------
    #Настроен или нет сервис Jabber
    soft_jabber_setup=        {'mode':"w",
                            'type':('param','soft'),
                            'value':'no'
                            }
    #пути к файлам профилей (перечислены через запятую в порядке приоритета)
    cl_profile_path = {'mode':"w"}
    #логин пользователя
    ur_login = {'mode':"w"}